/**
 * @file ip_check.h
 *
 * @brief this file is the header file of ip conflict checking tool
 *
 * @author yanghao <yanghao@kylinos.cn>
 *
 * @version 1.0.0
 *
 */

#ifndef IP_CHECK_H
#define IP_CHECK_H

#include <sys/types.h>
#include <stdlib.h>
#include <time.h>
#include <signal.h>
#include <net/if.h>
#include <linux/if_packet.h>
#include <linux/if_ether.h>
#include <net/if_arp.h>
#include <sys/ioctl.h>
#include <sys/param.h>
#include <sys/time.h>
#include <netdb.h>
#include <unistd.h>
#include <stdio.h>
#include <ctype.h>
#include <errno.h>
#include <string.h>
#include <netinet/in.h>
#include <arpa/inet.h>

/**
 * @brief  ip_check 检测IP地址是否可用
 * @param interface 网卡接口
 * @param dest_ip   要检测的IP地址
 * @param dest_mac  如果IP被占用，返回该IP所属MAC地址
 * @return 返回检测结果 IP被占用，返回1；IP闲置，返回0；失败，返回-1
 */
extern int ip_check(char* interface, struct in_addr *dest_ip, uint8_t *dest_mac);


extern void print_hex(unsigned char *p, int len);

#endif
  
