#include <ip_check.h>
#include <sys/socket.h>
#include <netinet/ip.h>
#include <arpa/inet.h>

int main(int argc, char **argv)
{
    char interface[32] = {0};
    char dest_hw_addr[32];
    struct in_addr dest_ip = {0};
    int ret;
    
    memset(dest_hw_addr, 0, 32);

    if(argc == 2 )   //如果不输入IP，则检测指定网络接口IP地址
    {
        sprintf(interface, "%s", argv[1]);
    }
    else if(argc == 3)
    {
        sprintf(interface, "%s", argv[1]);
        if(!inet_aton(argv[2], &dest_ip)) {
            printf("Invalid IP address\n");
            return 1;
        }

    }
    else
        return 1;
    //修改函数后要指定网卡接口名称
    ret = ip_check(interface, &dest_ip, dest_hw_addr);
    //打开socket发生错误
    if(ret == -1)
        return -1;
    else if(ret == 0) {
        printf("Free IP address: %s\n", argv[2]);
    } else {
        printf("IP Conflict: ");
        print_hex(dest_hw_addr, 6);
        printf("\n");
    }
    
    return 0;
}
    
                     
